import { Service } from '@overflow/commons/api/service';
import NoAuthProbe from '../model/NoAuthProbe';
import Action from '@overflow/commons/redux/Action';
import * as NewActions from '../../redux/action/new_noauth_probe';

import * as asyncRequestActions from '@overflow/commons/redux/action/asyncRequest';
import * as noauthListActions from '../../redux/action/read_all_by_domain';

export class NoAuthProbeService extends Service {
    public constructor() {
        super();
    }

    public regist(params: any): void {
        const noAuthProbe: NoAuthProbe = JSON.parse(params);
        if(noAuthProbe.domain === undefined || noAuthProbe.domain === null) {
            return;
        }
        // this.dispatch(NewActions.REQUEST_SUCCESS, noAuthProbe);
        // FIXME:: 부분 갱신 해봐
        this.store.dispatch(asyncRequestActions.request('NoAuthProbeService', 'readAllByDomain',
                                                        noauthListActions.REQUEST, JSON.stringify(noAuthProbe.domain)));
    }

}

export default NoAuthProbeService;
